catalog:
  title: STRANDS Navigation Package

templates:
- freestyle
- base

variables:
  keywords:
  - ros
  - navigation
  maintainer: Florian Lier

  repository: https://github.com/strands-project/strands_navigation
  branches:
  - master

  extra-provides:
  - nature: freestyle
    target: strands-navigation

  shell.command: |
    export CMAKE_PREFIX_PATH=${toolkit.dir}
    export ros=`ls  /opt/ros | tail  -1`
    . /opt/ros/\$ros/setup.sh
    export catkin_ws=${toolkit.dir}/catkin_ws/
    mkdir -p \${catkin_ws}/src
    cd \${catkin_ws}/src

    if [ ! -f CMakeLists.txt ]
    then
        catkin_init_workspace
    fi

    if [ ! -d strands_navigation ]
    then
        git clone https://github.com/strands-project/strands_navigation && cd strands_navigation && git checkout ${version-name}
    else
        cd strands_navigation && git checkout ${version-name}
    fi

    cd \${catkin_ws}
    catkin_make
    catkin_make install

versions:
- name: a7f1322d2d
  variables:
    commit: a7f1322d2d
